QueueACL (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: QueueACL

Package org.apache.hadoop.yarn.api.records

# Enum Class QueueACL

java.lang.Object
java.lang.Enum<QueueACL>
org.apache.hadoop.yarn.api.records.QueueACL

All Implemented Interfaces:
  `Serializable`, `Comparable<QueueACL>`, `Constable`

@Public @Stable public enum QueueACL extends Enum<QueueACL>
`QueueACL` enumerates the various ACLs for queues.

The ACL is one of:

- `SUBMIT_APPLICATIONS` - ACL to submit applications to the queue.
- `ADMINISTER_QUEUE` - ACL to administer the queue.

See Also:
  - `QueueInfo`
  - `ApplicationClientProtocol.getQueueUserAcls(org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoRequest)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADMINISTER_QUEUE`
  ACL to administer the queue.
  `SUBMIT_APPLICATIONS`
  ACL to submit applications to the queue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QueueACL`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QueueACL[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUBMIT_APPLICATIONS

    public static final QueueACL SUBMIT_APPLICATIONS
    ACL to submit applications to the queue.

  - ### ADMINISTER_QUEUE

    public static final QueueACL ADMINISTER_QUEUE
    ACL to administer the queue.

- ## Method Details

  - ### values

    public static QueueACL[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QueueACL valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null